org.icefaces.ace.component.tableconfigpanel

## Enum TableConfigPanelBase.PropertyKeys

- java.lang.Object
- - java.lang.Enum<TableConfigPanelBase.PropertyKeys>
  - - org.icefaces.ace.component.tableconfigpanel.TableConfigPanelBase.PropertyKeys

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<TableConfigPanelBase.PropertyKeys>
  Enclosing class:
    TableConfigPanelBase

      protected static enum TableConfigPanelBase.PropertyKeys
      extends java.lang.Enum<TableConfigPanelBase.PropertyKeys>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `accesskey`
    `columnNameConfigurable`
    `columnOrderingConfigurable`
    `columnSortingConfigurable`
    `columnVisibilityConfigurable`
    `dragHandle`
    `forcedRenderCount`
    `forTarget`
    `hideDisabledRows`
    `inColumnId`
    `modal`
    `offsetLeft`
    `offsetTop`
    `type`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `toString()`
    `static TableConfigPanelBase.PropertyKeys` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static TableConfigPanelBase.PropertyKeys[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### accesskey

          public static final TableConfigPanelBase.PropertyKeys accesskey

    - #### columnNameConfigurable

          public static final TableConfigPanelBase.PropertyKeys columnNameConfigurable

    - #### columnOrderingConfigurable

          public static final TableConfigPanelBase.PropertyKeys columnOrderingConfigurable

    - #### columnSortingConfigurable

          public static final TableConfigPanelBase.PropertyKeys columnSortingConfigurable

    - #### columnVisibilityConfigurable

          public static final TableConfigPanelBase.PropertyKeys columnVisibilityConfigurable

    - #### dragHandle

          public static final TableConfigPanelBase.PropertyKeys dragHandle

    - #### forTarget

          public static final TableConfigPanelBase.PropertyKeys forTarget

    - #### hideDisabledRows

          public static final TableConfigPanelBase.PropertyKeys hideDisabledRows

    - #### inColumnId

          public static final TableConfigPanelBase.PropertyKeys inColumnId

    - #### modal

          public static final TableConfigPanelBase.PropertyKeys modal

    - #### offsetLeft

          public static final TableConfigPanelBase.PropertyKeys offsetLeft

    - #### offsetTop

          public static final TableConfigPanelBase.PropertyKeys offsetTop

    - #### type

          public static final TableConfigPanelBase.PropertyKeys type

    - #### forcedRenderCount

          public static final TableConfigPanelBase.PropertyKeys forcedRenderCount

  - ### Method Detail

    - #### values

          public static TableConfigPanelBase.PropertyKeys[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (TableConfigPanelBase.PropertyKeys c : TableConfigPanelBase.PropertyKeys.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static TableConfigPanelBase.PropertyKeys valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Enum<TableConfigPanelBase.PropertyKeys>`

Copyright 2025 ICEsoft Technologies Canada, Corp. All Rights Reserved.